Subject: Re: [EN] NNCP 8.0.1 release announcement

From: John Goerzen <[email-masked]>
Date: Tue, 09 Nov 2021 08:56:21 -0600

Hi Sergey,

Thank you!  That fixes the nncp-file bug.

I've got a new one with nncp-exec to areas.

For instance:

echo hi | nncp-exec area:foo command

nncp-exec will emit a line that says "Tx foo 976" but actually 
hangs without queing the packet.  strace -f on it shows a bunch 
of:

[pid 337342] epoll_pwait(4, [{EPOLLOUT, {u32=3094058840, 
u64=139645365753688}}], 128, 59321, NULL, 0) = 1

When not using nncp-exec to an area, it works fine.

The same happens with something like this:

echo hi | nncp-file - area:foo:filename

But also when not using stdin:

nncp-file /bin/true area:localgit:true

Basically every command I can construct to send something to an 
area hangs.

Thanks,

John

On Tue, Nov 09 2021, Sergey Matveev wrote:

> I am pleased to announce NNCP 8.0.1 release availability!
>
> NNCP (Node to Node copy) is a collection of utilities 
> simplifying
> secure store-and-forward files and mail exchanging.
>
> This utilities are intended to help build up small size (dozens 
> of
> nodes) ad-hoc friend-to-friend (F2F) statically routed darknet
> delay-tolerant networks for fire-and-forget secure reliable 
> files, file
> requests, Internet mail and commands transmission. All packets 
> are
> integrity checked, end-to-end encrypted (E2EE), explicitly 
> authenticated
> by known participants public keys. Onion encryption is applied 
> to
> relayed packets. Each node acts both as a client and server, can 
> use
> push and poll behaviour model. Also there is multicasting areas 
> support.
>
> Out-of-box offline sneakernet/floppynet, dead drops, sequential 
> and
> append-only CD-ROM/tape storages, air-gapped computers support. 
> But
> online TCP daemon with full-duplex resumable data transmission 
> exists.
>
> ------------------------ >8 ------------------------
>
> The main improvements for that release are:
>
> * Fixed incorrect "freq.chunked" value calculation.  If it 
> missed,
>   then anyway chunked transfer mode was forcefully turned on.
> * Fixed incorrect full file’s size calculation in ".nncp.meta".
>
> ------------------------ >8 ------------------------
>
> NNCP's home page is: http://www.nncpgo.org/
>
> Source code and its signature for that version can be found 
> here:
>
>     http://www.nncpgo.org/download/nncp-8.0.1.tar.xz (1206 KiB)
>     http://www.nncpgo.org/download/nncp-8.0.1.tar.xz.sig
>
> SHA256 hash: 0F849065 19EDB1BF E3262B35 077CD6F6 F365A897 
> 2BA7D369 4864F3CE 4CA4C5A0
> GPG key ID: 0x2B25868E75A1A953 NNCP releases 
> <[email-masked]>
> Fingerprint: 92C2 F0AE FE73 208E 46BF  F3DE 2B25 868E 75A1 A953
>
> There are mirrors where you can also get the source code 
> tarballs:
> http://www.nncpgo.org/Mirrors.html
>
> Please send questions regarding the use of NNCP, bug reports and 
> patches
> to mailing list: http://lists.cypherpunks.ru/nncp_002ddevel.html